﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Controls.Primitives;

namespace ueb05
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        bool bFirst = true;
        ToggleButton b;
        public MainWindow()
        {
            InitializeComponent();
        }

        private void StackPanel_PreviewMouseLeftButtonDown(
            object sender, MouseButtonEventArgs e)
        {
            if ((e.Source == bn0) || (e.Source == bn1) || (e.Source == bn2) || (e.Source == bn3) || (e.Source == bn4) || (e.Source == bn5)
                || (e.Source == bn6) || (e.Source == bn7) || (e.Source == bn8) || (e.Source == bn9))
            {
                Button bn0_9 = (Button)e.Source;
                if (bFirst)
                    tInput.Text = (string)bn0_9.Content;
                else
                    tInput.Text += bn0_9.Content;
                bFirst = false;
            }

            if (e.Source == bnKomma)
            {
                if (bFirst)
                    tInput.Text = "0,";
                else
                    tInput.Text += ",";
                bFirst = false;
            }

            if (e.Source == bnClear)
            {
                tInput.Text = "";
                bFirst = true;
            }

            if (e.Source == bnSquare)
            {
                double d = 
                  Convert.ToDouble(tInput.Text.Replace(",", "."),
                  System.Globalization.CultureInfo.InvariantCulture);
                tInput.Text = (d * d).ToString();
                bFirst=true;
            }
            if (e.Source == bnReziprok)
            {
                double d = Convert.ToDouble(tInput.Text.Replace(",", "."), System.Globalization.CultureInfo.InvariantCulture);
                if (d==0.0)
                    tInput.Text = "Overflow";
                else
                    tInput.Text = (1.0/d).ToString();
                bFirst = true;
            }
            


            if (e.Source == bnSquareRoot)
            {
                double d = Convert.ToDouble(tInput.Text.Replace(",", "."), System.Globalization.CultureInfo.InvariantCulture);
                if (d==0.0)
                    tInput.Text = "Overflow";
                else
                    tInput.Text = Math.Sqrt(d).ToString();
                bFirst = true;
            }


        }

       

        //private void bn1_Click(object sender, RoutedEventArgs e)
        //{
        //    RepeatButton bn0_9 = (RepeatButton)e.Source;
        //    if (bFirst)
        //        tInput.Text = (string)bn0_9.Content;
        //    else
        //        tInput.Text += bn0_9.Content;
        //    bFirst = false;
        //}

        
    }
}
